package com.yihu.hos.resource.dao;

import com.yihu.hos.resource.model.RsAppResource;
import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;

import java.util.List;

/**
 * Created by chenweida on 2016/1/25.
 */
public interface IRsAppResourceDao extends XSQLGeneralDAO {
    List<RsAppResource> getAppResourceByResourceId(String resourceid) throws Exception;

    void deleteByResourceId(String resourceId)throws Exception;

    RsAppResource getAppResourceByResourceIdAndAppId(String resourceId, String appId)throws Exception;

    void deleteEntityList(List<RsAppResource> deleteList)throws Exception;

    void saveEntityList(List<RsAppResource> newList)throws Exception;
}
